Subject: Re: [bug#34154] [PATCH] /etc/os-release

From: Ricardo Wurmus <[email-masked]>
Date: Wed, 23 Jan 2019 12:37:30 +0100

Ludovic Courtès <[email-masked]> writes:

>> It looks like some build systems can try to get information from it
>> during building if they have distro-specific things to do.
>
> That is precisely the kind of bad practice that I’d rather not
> encourage.  :-)

Build systems doing this is bad, of course, but if this was a script
that tried to be helpful by telling the user what commands to run to
install dependencies I think it could be helpful.

(I have a vague memory of a project that tried to figure out how to
detect if the script is running on a Guix system by checking for
/run/current-system and the like.)

/etc/os-release would be a friendlier indicator than
/run/current-system.

--
Ricardo